# NixOS ISO-specific configuration
{ config, lib, pkgs, workshopSrc, ... }:

{
	imports = [ ./common.nix ];

	# Enable copytoram - boots from USB, runs entirely from RAM
	boot.kernelParams = [ "copytoram" ];

	# ISO image customization
	isoImage = {
		volumeID = lib.mkForce "PERF_WORKSHOP";
		makeEfiBootable = true;
		makeUsbBootable = true;
	};
	image.fileName = lib.mkForce "perf-workshop-${config.system.nixos.label}-x86_64.iso";
}
